%define name dmraid
%define version 1.0.0
%define extraver -rc4
%define release 0.rc4.1mdk

%ifarch %{ix86} x86_64
%define use_dietlibc 1
%else
%define use_dietlibc 0
%endif

Summary: Device-mapper ATARAID tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://people.redhat.com/~heinzm/sw/dmraid/src/dmraid-%{version}%{extraver}.tar.bz2
Patch0: dmraid-mdk.patch.bz2
Patch1: dmraid-removable.patch.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://people.redhat.com/~heinzm
BuildRequires:	device-mapper-devel >= 1.00.09
Requires: %{mklibname devmapper 1.00} >= 1.00.09
%if %{use_dietlibc}
BuildRequires: dietlibc-devel
%endif

%description
This software discovers, activates, deactivates and displays properties
of software RAID sets (eg, ATARAID) and contained DOS partitions.

The following ATARAID types are supported:
Highpoint HPT37X and HPT45X
Intel Software RAID
Promise FastTrack
Silicon Image Medley
LSI Logic MegaRAID (discovery only)


%prep
%setup -q -n %{name}
cd %{version}%{extraver}
%patch0 -p2 -b .mdk

%build
cd %{version}%{extraver}
%if %{use_dietlibc}
%configure --enable-dietlibc
%else
%configure --enable-static_build
%endif
make
mv tools/dmraid tools/dmraid-static
make clean
%configure --with-user=`id -un` --with-group=`id -gn`
make

%install
cd %{version}%{extraver}
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir} %{buildroot}/sbin
%makeinstall -s sbindir=%{buildroot}/sbin
install tools/dmraid-static %{buildroot}/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc %{version}%{extraver}/README %{version}%{extraver}/TODO
%doc %{version}%{extraver}/KNOWN_BUGS %{version}%{extraver}/CHANGELOG
%doc %{version}%{extraver}/doc/dmraid_design.txt
%attr(755,root,root) /sbin/dmraid
%attr(755,root,root) /sbin/dmraid-static
%{_mandir}/man8/dmraid.8*
%exclude %{_libdir}

%changelog
* Tue Sep 07 2004 Luca Berra <bluca@vodka.it> 1.0.0-0.rc4.1mdk 
- rc4
- fix source url
- remove -s from make (fixed upstream)

* Sun Sep 05 2004 Luca Berra <bluca@vodka.it> 1.0.0-0.rc3.1mdk 
- rc3
- remove p0 merged upstream

* Thu Jul 22 2004 Luca Berra <bluca@vodka.it> 1.0.0-0.rc2.1mdk 
- initial mandrakelinux release

